#
# Currently defined test environment variables.  Uncomment and/or change as desired.
#
############################
# Test specific variables
############################
#
# Timeout to wait for an element to appear. The default is 60 sec.
# TEST_TIMEOUT=60000
#
# Run the tests in headless mode if true, non-headless mode if false
IS_HEADLESS=true
#
# Turn on/off tracing to the console. The default is true.
# ENABLE_CONSOLE_LOG=true
#
############################
# ArgoCD specific variables
############################
#
# URL of the ArgoCD UI to test against
ARGOCD_URL=http://localhost:4000
#
# argocd app definition namespace
ARGOCD_NAMESPACE=argocd-e2e
#
# argocd credentials (if any)
#ARGOCD_AUTH_USERNAME=admin
#
# argocd credentials (if any)
#ARGOCD_AUTH_PASSWORD=password
#
# Git repository where applications reside
GIT_REPO=https://github.com/argoproj/argocd-example-apps
#
# The name to give the app in ArgoCD
APP_NAME=myapp
#
# The project name
APP_PROJECT=default
#
# The source path of the application in the repo
SOURCE_REPO_PATH=helm-guestbook
#
# Destination cluster name
DESTINATION_CLUSTER_NAME=in-cluster
#
# Destination namespace
DESTINATION_NAMESPACE=default
